/**
 * @file homeAssistantPort.h
 * @author Seahi (seahi-mo@foxmail.com)
 * @brief
 * @version 0.1
 * @date 2024-05-06
 *
 * @copyright Copyright (c) 2024
 *
 */

#ifndef HOMEASSISTANTPORT_H
#define HOMEASSISTANTPORT_H

#define CONFIG_Ai_M6x

#define HA_LOG_ENABLE

struct http_json
{
    int time_H;
    int time_M;
    int date_Y;
    int date_M;
    int date_D;
    char week[5];
    char weather1tempmax[5];
    char weather1tempmin[5];
    int weather1icon;
    char weather1text[20];
    char weather2tempmax[5];
    char weather2tempmin[5];
    int weather2icon;
    char weather2text[20];
    char weather3tempmax[5];
    char weather3tempmin[5];
    int weather3icon;
    char weather3text[20];
};

struct http_json http_json_parse;

#ifdef HA_LOG_ENABLE
#define DBG_TAG "HomeAssistant"
#define HA_LOG_D(...) printf("\033[0m[D][" DBG_TAG "] " __VA_ARGS__)
#define HA_LOG_E(...) printf("\033[0;31m[E][" DBG_TAG "] " __VA_ARGS__)
#define HA_LOG_I(...) printf("\033[0;32m[I][" DBG_TAG "] " __VA_ARGS__)
#define HA_LOG_W(...) printf("\033[0;33m[W][" DBG_TAG "] " __VA_ARGS__)
#define HA_LOG_F(...) printf("\033[0;35m[F][" DBG_TAG "] " __VA_ARGS__)
#endif
void homeAssistant_get_sta_mac(char *mac);
int homeAssistant_mqtt_port_init();
int homeAssistant_mqtt_port_start(void);
int homeAssistant_mqtt_port_stop(void);
int homeAssistant_mqtt_port_public(const char *topic, const char *payload, int qos, int retain);
int homeAssistant_mqtt_port_subscribe(const char *topic, int qos);
#endif