/**
 * @file main.c
 * @author your name (you@domain.com)
 * @brief
 * @version 0.1
 * @date 2023-08-22
 *
 * @copyright Copyright (c) 2023
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <FreeRTOS.h>
#include <task.h>
#include "board.h"
#include "log.h"
#include "lv_user_config.h"
#include "ui.h"
#include "lv_port_fs.h"
#include "wifi_event.h"

#define DBG_TAG "MAIN"

int main(void)
{
    board_init();
    if (0 != rfparam_init(0, NULL, 0))
    {
        LOG_E("PHY RF init failed!\r\n");
        return 0;
    }
    staWiFiInit();

    lv_init();
    lv_port_disp_init();
    lv_port_indev_init();
    ui_init();
    xTaskCreate(lvgl_tick_task, (char *)"lvgl", 1024 * 10, NULL, 2, NULL);
    vTaskStartScheduler();
}
